PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"collections": [
{
"name": "example-collection1",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 3081918,
"vector_count": 99,
"dimension": 3
},
{
"name": "example-collection1",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 160087040000000,
"vector_count": 10000000,
"dimension": 1536
}
]
}
Backups
List collections
List all collections in a project. Serverless indexes do not support collections.
GET
/
collections
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"collections": [
{
"name": "example-collection1",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 3081918,
"vector_count": 99,
"dimension": 3
},
{
"name": "example-collection1",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 160087040000000,
"vector_count": 10000000,
"dimension": 1536
}
]
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -i -X GET "https://api.pinecone.io/collections" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"collections": [
{
"name": "example-collection1",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 3081918,
"vector_count": 99,
"dimension": 3
},
{
"name": "example-collection1",
"status": "Ready",
"environment": "us-east-1-aws",
"size": 160087040000000,
"vector_count": 10000000,
"dimension": 1536
}
]
}
Authorizations
Headers
Required date-based version header
Response
List all the collections in your current project.
The list of collections that exist in the project.
List of collections in the project
Show child attributes
Show child attributes
Was this page helpful?
⌘I